Go to the latest version of this document.

# ``twisted`.`internet`.`error`.`TimeoutError``

exception documentation

`class TimeoutError(UserError): (source)`

Constructor: `TimeoutError(osError, string)`

View In Hierarchy

Undocumented

Constant | `MESSAGE` | Undocumented
Class Variable | `__doc__` | Undocumented

Inherited from `ConnectError` (via `UserError`):

Method | `__init__` | Undocumented
Method | `__str__` | Undocumented
Instance Variable | `osError` | Undocumented

MESSAGE: `str` = (source)
overrides `twisted.internet.error.UserError.MESSAGE`

Undocumented

Value

    'User timeout caused connection failure'

__doc__: `str` = (source)
overrides `twisted.internet.error.UserError.__doc__`

Undocumented